---
title: "Create campaign platform rank targeting"
type: reference
method: POST
path: /rest-api/campaign/{campaignId}/targeting/platform-rank/create.do
tag: "Targeting Rules"
---

# Create campaign platform rank targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/campaign/{campaignId}/targeting/platform-rank/create.do`

Creates a platform rank targeting rule. Requires UPDATE permission on the campaign and MANAGE_DEMAND_TARGETING user permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `campaignId` | integer | yes | `1234` | Unique numeric ID of the campaign |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `platformRank` | integer | yes | `50` | Platform rank threshold |
| `rule` | string | yes | `INCLUDE` | Targeting rule type |
| `relation` | string | no | `GREATER_EQUAL` | Comparison relation — LOWER, GREATER, LOWER_EQUAL, GREATER_EQUAL or EQUAL; omitted, it is LOWER_EQUAL |

## Responses

- `200` — Success
- `400` — Invalid targeting value
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Campaign not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/campaign/1234/targeting/platform-rank/create.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'platformRank=50' \
  --data-urlencode 'rule=INCLUDE' \
  --data-urlencode 'relation=GREATER_EQUAL'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-campaign-targeting-platform-rank-create